DEVM_SND_DMAENGINE_P(9)

NAME
devm_snd_dmaengine_pcm_register - resource managed dmaengine PCM registration

SYNOPSIS

int devm_snd_dmaengine_pcm_register(struct device * dev, const struct snd_dmaengine_pcm_config * config, unsigned int flags);

ARGUMENTS

dev
    The parent device for the PCM device

config
    Platform specific PCM configuration

flags
    Platform specific quirks

DESCRIPTION

Register a dmaengine based PCM device with automatic unregistration when the device is unregistered.

COPYRIGHT